/services/websites/v1/components/change-to
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
type |
string | Yes | The target type: page, header, footer, or secured. | page |
id |
string | Yes | The post_name (slug) of the page/header/footer containing the component. | / |
component_id |
string | Yes | The current component connection ID to replace. | 6120 |
new_component_id |
string | Yes | The new component identifier (post_name) to change to. | contentImage |
component_type |
string|null | No | The component type category (e.g. section, widget). | section |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
component |
object | |
component.id |
string|null | |
component.type |
mixed |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/components/change-to" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"type": "page",
"id": "/",
"component_id": "6120",
"new_component_id": "contentImage",
"component_type": "section"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/components/change-to', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"type": "page",
"id": "/",
"component_id": "6120",
"new_component_id": "contentImage",
"component_type": "section"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/websites/v1/components/change-to', {
"type": "page",
"id": "/",
"component_id": "6120",
"new_component_id": "contentImage",
"component_type": "section"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"type": "page",
"id": "/",
"component_id": "6120",
"new_component_id": "contentImage",
"component_type": "section"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/components/change-to", headers=headers, json=data)
print(r.json())
{
"error": false,
"component": {
"id": "string",
"type": "string"
}
}